> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2025 12 01T13:59:07Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `POST` /api/users/connect

###### Request:

Changed content type : `application/json`

* Changed property `walletType` (string)

  Added enum value:

  * `substrate`

##### `GET` /api/loyalty/badges

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Response returned upon successful fetching of the badges.

    * Added property `hideInUi` (boolean)
      > Whether to hide this badge in the user interface

    * Changed property `loyaltyBadgeUsers` (array)

      > Array of user badges

      Changed items (object):

      * Added property `hideInUi` (boolean)
        > Whether to hide this badge in the user interface

##### `POST` /api/loyalty/badges

###### Request:

Changed content type : `application/json`

* Added property `hideInUi` (boolean)
  > Whether to hide this badge in the user interface

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `hideInUi` (boolean)
    > Whether to hide this badge in the user interface

  * Changed property `loyaltyBadgeUsers` (array)

    > Array of user badges

    Changed items (object):

    * Added property `hideInUi` (boolean)
      > Whether to hide this badge in the user interface

##### `POST` /api/loyalty/badges/{id}

###### Request:

Changed content type : `application/json`

* Added property `hideInUi` (boolean)
  > Whether to hide this badge in the user interface

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `hideInUi` (boolean)
    > Whether to hide this badge in the user interface

  * Changed property `loyaltyBadgeUsers` (array)

    > Array of user badges

    Changed items (object):

    * Added property `hideInUi` (boolean)
      > Whether to hide this badge in the user interface

##### `DELETE` /api/loyalty/badges/{id}

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `hideInUi` (boolean)
    > Whether to hide this badge in the user interface

  * Changed property `loyaltyBadgeUsers` (array)

    > Array of user badges

    Changed items (object):

    * Added property `hideInUi` (boolean)
      > Whether to hide this badge in the user interface

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `GET` /api/loyalty/rule\_groups

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a get loyalty rule groups response

    * Changed property `loyaltyGroupItems` (array)

      Changed items (object):

      * Changed property `loyaltyRule` (object)

        * Changed property `metadata` (object)

          * Changed property `walletType` (string)

            > Type of wallet associated with the rule.

            Added enum value:

            * `substrate`

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Changed property `walletType` (string)

    > Type of wallet associated with the rule.

    Added enum value:

    * `substrate`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Changed property `walletType` (string)

      > Type of wallet associated with the rule.

      Added enum value:

      * `substrate`

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Changed property `walletType` (string)

    > Type of wallet associated with the rule.

    Added enum value:

    * `substrate`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Changed property `walletType` (string)

      > Type of wallet associated with the rule.

      Added enum value:

      * `substrate`

#### Result

***

API changes broke backward compatibility
